> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# トークン - 時点価格

> 特定のタイムスタンプ時点のトークン価格を取得

<Note>
  トークンの現在価格を USD およびネイティブ通貨で取得します。過去の価格が必要な場合は、`/prices` エンドポイントまたは GraphQL `DEXTrades` Cube を利用してください。
</Note>

**関連**: [GraphQL DEX 取引](/jp/graphql/examples/dex-trades) | MCP: `token_get_price`


## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/token/{chain}/{tokenAddress}/price
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/token/{chain}/{tokenAddress}/price:
    get:
      tags:
        - Token
      summary: トークン - 時間指定価格
      description: 特定のタイムスタンプ時点のトークン価格を取得
      operationId: get.price.by.time
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: トークンのアドレス
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
        - name: timestamp
          in: query
          description: 価格タイムスタンプ（Unix エポック秒）
          required: true
          schema:
            type: integer
            format: int64
          example: 1763461274000
      responses:
        '200':
          description: 時間指定で価格を取得
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenPrice'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenPrice:
      type: object
      description: Token price
      required:
        - address
        - timestamp
        - priceInUsd
      properties:
        address:
          type: string
          description: Token address
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
        priceInNative:
          type:
            - string
            - 'null'
          description: Price in native token (alias)
          example: '1000'
        priceInSol:
          type:
            - string
            - 'null'
          description: Price in native token
          example: '1000'
        priceInUsd:
          type: string
          description: Price in USD
          example: '1000'
        timestamp:
          type: integer
          format: int64
          description: Timestamp
          example: 1754055151000
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````